package bank5.hibernate.persistence;

import bank5.hibernate.simulation.SimulationEntry;
import bank5.hibernate.simulation.StatisticManager;

/**
 * General interface for persistence APIs.
 */
public interface StatisticPersistence {

	int persist(SimulationEntry simulationEntry, StatisticManager statisticManager);

	int servedClientCount(int simulationEntryId);
	
	int nonServedClientCount(int simulationEntryId);

}
